Bug 870999 - Default Filter view option "Non stopped applications" lists stopped instance, and removes them after auto refresh
Default Filter view option "Non stopped applications" lists stopped instance,...
Status: POST
Product: CloudForms Cloud Engine
Classification: Red Hat
Component: aeolus-conductor (Show other bugs)
1.1.0
Unspecified Unspecified
high Severity medium
: beta1
: ---
Assigned To: Imre Farkas
Rehana
: Triaged, ZStream
: 869282 (view as bug list)
Depends On:
Blocks: 895569
  Show dependency treegraph
 
Reported: 2012-10-29 07:24 EDT by Rehana
Modified: 2016-03-28 18:42 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 895569 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
stopped (61.58 KB, image/png)
2012-10-29 07:25 EDT, Rehana
no flags Details
running(after auto refresh) (53.82 KB, image/png)
2012-10-29 07:26 EDT, Rehana
no flags Details

  None (edit)
Description Rehana 2012-10-29 07:24:04 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.Login to conductor
2.Launch some instances
3.stop any instance
4.Go to monitor
5.Enable the filter view
6.click on "Applications" tab (default viewing option will be 'Non-stopped Applications')

  
Actual results:
Observed that stopped instance also got listed, and after auto refresh only stopped instance was removed

PFA:stopped.png, running.png

Expected results:
Should list only running instance

Additional info:

rpm -qa | grep aeolus
aeolus-configure-2.8.11-1.el6cf.noarch
aeolus-conductor-0.13.22-1.el6cf.noarch
rubygem-aeolus-cli-0.7.7-1.el6cf.noarch
aeolus-conductor-doc-0.13.22-1.el6cf.noarch
aeolus-all-0.13.22-1.el6cf.noarch
rubygem-aeolus-image-0.3.0-12.el6.noarch
aeolus-conductor-daemons-0.13.22-1.el6cf.noarch

---Rails log-----



Started GET "/conductor/pools?details_tab=deployments&only_tab=true&view=filter&_=1351509855340" for 10.11.11.119 at Mon Oct 29 07:22:07 -0400 2012
  Processing by PoolsController#index as JS
  Parameters: {"details_tab"=>"deployments", "only_tab"=>"true", "view"=>"filter", "_"=>"1351509855340"}
  User Load (0.3ms)  SELECT "users".* FROM "users" WHERE "users"."id" = 1 LIMIT 1
  PermissionSession Load (0.2ms)  SELECT "permission_sessions".* FROM "permission_sessions" WHERE "permission_sessions"."id" = 22 LIMIT 1
  CACHE (0.0ms)  SELECT "permission_sessions".* FROM "permission_sessions" WHERE "permission_sessions"."id" = 22 LIMIT 1
  BasePermissionObject Load (0.2ms)  SELECT "base_permission_objects".* FROM "base_permission_objects" WHERE "base_permission_objects"."name" = 'general_permission_scope' LIMIT 1
  SQL (1.7ms)  SELECT COUNT(DISTINCT "derived_permissions"."id") FROM "derived_permissions" LEFT OUTER JOIN "roles" ON "roles"."id" = "derived_permissions"."role_id" LEFT OUTER JOIN "entities" ON "entities"."id" = "derived_permissions"."entity_id" LEFT OUTER JOIN "session_entities" ON "session_entities"."entity_id" = "entities"."id" LEFT OUTER JOIN "privileges" ON "privileges"."role_id" = "roles"."id" WHERE ("derived_permissions".permission_object_id = 1 AND "derived_permissions".permission_object_type = 'BasePermissionObject') AND (session_entities.user_id=1 and
 session_entities.permission_session_id=22 and
 privileges.target_type='Deployment' and
 privileges.action='create')
  CACHE (0.0ms)  SELECT "base_permission_objects".* FROM "base_permission_objects" WHERE "base_permission_objects"."name" = 'general_permission_scope' LIMIT 1
  SQL (1.2ms)  SELECT COUNT(DISTINCT "derived_permissions"."id") FROM "derived_permissions" LEFT OUTER JOIN "roles" ON "roles"."id" = "derived_permissions"."role_id" LEFT OUTER JOIN "entities" ON "entities"."id" = "derived_permissions"."entity_id" LEFT OUTER JOIN "session_entities" ON "session_entities"."entity_id" = "entities"."id" LEFT OUTER JOIN "privileges" ON "privileges"."role_id" = "roles"."id" WHERE ("derived_permissions".permission_object_id = 1 AND "derived_permissions".permission_object_type = 'BasePermissionObject') AND (session_entities.user_id=1 and
 session_entities.permission_session_id=22 and
 privileges.target_type='Deployment' and
 privileges.action='view')
  Deployment Load (0.2ms)  SELECT "deployments".* FROM "deployments" WHERE "deployments"."deleted_at" IS NULL ORDER BY "deployments".name asc
  Pool Load (0.2ms)  SELECT "pools".* FROM "pools" WHERE ("pools"."id" = 1)
  Instance Load (0.3ms)  SELECT "instances".* FROM "instances" WHERE "instances"."deleted_at" IS NULL AND ("instances".deployment_id IN (2,1))
  User Load (0.2ms)  SELECT "users".* FROM "users" WHERE ("users"."id" = 1)
  SQL (0.2ms)  SELECT COUNT(*) FROM "instances" WHERE "instances"."deleted_at" IS NULL AND "instances"."state" IN ('create_failed', 'error', 'vanished') AND ("instances".owner_id = 1)
  Quota Load (0.2ms)  SELECT "quotas".* FROM "quotas" WHERE "quotas"."id" = 4 LIMIT 1
  SQL (0.5ms)  SELECT COUNT(*) FROM "events" WHERE "events"."deleted_at" IS NULL AND ("events".source_id = 2 AND "events".source_type = 'Deployment')
  Event Load (0.3ms)  SELECT "events".* FROM "events" WHERE "events"."deleted_at" IS NULL AND "events"."status_code" = 'first_running' AND ("events".source_id = 2 AND "events".source_type = 'Deployment') ORDER BY events.id DESC LIMIT 1
  SQL (0.2ms)  SELECT COUNT(*) FROM "instances" WHERE "instances"."deleted_at" IS NULL AND "instances"."state" IN ('running', 'shutting_down') AND ("instances".deployment_id = 2)
  Event Load (0.3ms)  SELECT "events".* FROM "events" WHERE "events"."deleted_at" IS NULL AND "events"."status_code" = 'all_stopped' AND ("events".source_id = 2 AND "events".source_type = 'Deployment') ORDER BY events.id DESC LIMIT 1
  SQL (0.2ms)  SELECT COUNT(*) FROM "instances" WHERE "instances"."deleted_at" IS NULL AND ("instances".deployment_id = 2)
  CACHE (0.0ms)  SELECT COUNT(*) FROM "instances" WHERE "instances"."deleted_at" IS NULL AND ("instances".deployment_id = 2)
  SQL (0.2ms)  SELECT COUNT(*) FROM "instances" WHERE "instances"."deleted_at" IS NULL AND "instances"."state" IN ('create_failed', 'error', 'vanished') AND ("instances".deployment_id = 2)
  Instance Load (0.6ms)  SELECT "instances".* FROM "instances" INNER JOIN "provider_accounts" ON "provider_accounts"."id" = "instances"."provider_account_id" INNER JOIN "providers" ON "providers"."id" = "provider_accounts"."provider_id" WHERE "instances"."deleted_at" IS NULL AND ("instances".deployment_id = 2) LIMIT 1
  ProviderAccount Load (0.2ms)  SELECT "provider_accounts".* FROM "provider_accounts" WHERE "provider_accounts"."id" = 4 LIMIT 1
  Provider Load (0.2ms)  SELECT "providers".* FROM "providers" WHERE "providers"."id" = 1 LIMIT 1
  CACHE (0.0ms)  SELECT "instances".* FROM "instances" INNER JOIN "provider_accounts" ON "provider_accounts"."id" = "instances"."provider_account_id" INNER JOIN "providers" ON "providers"."id" = "provider_accounts"."provider_id" WHERE "instances"."deleted_at" IS NULL AND ("instances".deployment_id = 2) LIMIT 1
  CACHE (0.0ms)  SELECT "provider_accounts".* FROM "provider_accounts" WHERE "provider_accounts"."id" = 4 LIMIT 1
  CACHE (0.0ms)  SELECT "providers".* FROM "providers" WHERE "providers"."id" = 1 LIMIT 1
  CACHE (0.0ms)  SELECT "instances".* FROM "instances" INNER JOIN "provider_accounts" ON "provider_accounts"."id" = "instances"."provider_account_id" INNER JOIN "providers" ON "providers"."id" = "provider_accounts"."provider_id" WHERE "instances"."deleted_at" IS NULL AND ("instances".deployment_id = 2) LIMIT 1
  CACHE (0.0ms)  SELECT "provider_accounts".* FROM "provider_accounts" WHERE "provider_accounts"."id" = 4 LIMIT 1
  CACHE (0.0ms)  SELECT "providers".* FROM "providers" WHERE "providers"."id" = 1 LIMIT 1
  CACHE (0.0ms)  SELECT "instances".* FROM "instances" INNER JOIN "provider_accounts" ON "provider_accounts"."id" = "instances"."provider_account_id" INNER JOIN "providers" ON "providers"."id" = "provider_accounts"."provider_id" WHERE "instances"."deleted_at" IS NULL AND ("instances".deployment_id = 2) LIMIT 1
  CACHE (0.0ms)  SELECT "provider_accounts".* FROM "provider_accounts" WHERE "provider_accounts"."id" = 4 LIMIT 1
  CACHE (0.0ms)  SELECT "providers".* FROM "providers" WHERE "providers"."id" = 1 LIMIT 1
  ProviderType Load (0.3ms)  SELECT "provider_types".* FROM "provider_types" WHERE "provider_types"."id" = 4 LIMIT 1
Rendered deployments/_deployment_row.html.mustache (3.7ms)
  SQL (0.6ms)  SELECT COUNT(*) FROM "events" WHERE "events"."deleted_at" IS NULL AND ("events".source_id = 1 AND "events".source_type = 'Deployment')
  Event Load (0.3ms)  SELECT "events".* FROM "events" WHERE "events"."deleted_at" IS NULL AND "events"."status_code" = 'first_running' AND ("events".source_id = 1 AND "events".source_type = 'Deployment') ORDER BY events.id DESC LIMIT 1
  SQL (0.3ms)  SELECT COUNT(*) FROM "instances" WHERE "instances"."deleted_at" IS NULL AND "instances"."state" IN ('running', 'shutting_down') AND ("instances".deployment_id = 1)
  SQL (0.2ms)  SELECT COUNT(*) FROM "instances" WHERE "instances"."deleted_at" IS NULL AND ("instances".deployment_id = 1)
  CACHE (0.0ms)  SELECT COUNT(*) FROM "instances" WHERE "instances"."deleted_at" IS NULL AND ("instances".deployment_id = 1)
  SQL (0.3ms)  SELECT COUNT(*) FROM "instances" WHERE "instances"."deleted_at" IS NULL AND "instances"."state" IN ('create_failed', 'error', 'vanished') AND ("instances".deployment_id = 1)
  Instance Load (0.7ms)  SELECT "instances".* FROM "instances" INNER JOIN "provider_accounts" ON "provider_accounts"."id" = "instances"."provider_account_id" INNER JOIN "providers" ON "providers"."id" = "provider_accounts"."provider_id" WHERE "instances"."deleted_at" IS NULL AND ("instances".deployment_id = 1) LIMIT 1
  ProviderAccount Load (0.2ms)  SELECT "provider_accounts".* FROM "provider_accounts" WHERE "provider_accounts"."id" = 1 LIMIT 1
  Provider Load (0.2ms)  SELECT "providers".* FROM "providers" WHERE "providers"."id" = 3 LIMIT 1
  CACHE (0.0ms)  SELECT "instances".* FROM "instances" INNER JOIN "provider_accounts" ON "provider_accounts"."id" = "instances"."provider_account_id" INNER JOIN "providers" ON "providers"."id" = "provider_accounts"."provider_id" WHERE "instances"."deleted_at" IS NULL AND ("instances".deployment_id = 1) LIMIT 1
  CACHE (0.0ms)  SELECT "provider_accounts".* FROM "provider_accounts" WHERE "provider_accounts"."id" = 1 LIMIT 1
  CACHE (0.0ms)  SELECT "providers".* FROM "providers" WHERE "providers"."id" = 3 LIMIT 1
  CACHE (0.0ms)  SELECT "instances".* FROM "instances" INNER JOIN "provider_accounts" ON "provider_accounts"."id" = "instances"."provider_account_id" INNER JOIN "providers" ON "providers"."id" = "provider_accounts"."provider_id" WHERE "instances"."deleted_at" IS NULL AND ("instances".deployment_id = 1) LIMIT 1
  CACHE (0.0ms)  SELECT "provider_accounts".* FROM "provider_accounts" WHERE "provider_accounts"."id" = 1 LIMIT 1
  CACHE (0.0ms)  SELECT "providers".* FROM "providers" WHERE "providers"."id" = 3 LIMIT 1
  CACHE (0.0ms)  SELECT "instances".* FROM "instances" INNER JOIN "provider_accounts" ON "provider_accounts"."id" = "instances"."provider_account_id" INNER JOIN "providers" ON "providers"."id" = "provider_accounts"."provider_id" WHERE "instances"."deleted_at" IS NULL AND ("instances".deployment_id = 1) LIMIT 1
  CACHE (0.0ms)  SELECT "provider_accounts".* FROM "provider_accounts" WHERE "provider_accounts"."id" = 1 LIMIT 1
  CACHE (0.0ms)  SELECT "providers".* FROM "providers" WHERE "providers"."id" = 3 LIMIT 1
  ProviderType Load (0.4ms)  SELECT "provider_types".* FROM "provider_types" WHERE "provider_types"."id" = 1 LIMIT 1
Rendered deployments/_deployment_row.html.mustache (4.0ms)
Rendered layouts/_filter_table.html.haml (307.3ms)
Rendered deployments/_deployment_row.html.mustache (1.0ms)
Rendered deployments/_list.html.haml (318.2ms)
Completed 200 OK in 355ms (Views: 312.9ms | ActiveRecord: 24.2ms)


Started GET "/conductor/pools?details_tab=deployments&deployments_preset_filter=other_than_stopped&_=1351509869553" for 10.11.11.119 at Mon Oct 29 07:22:21 -0400 2012
  Processing by PoolsController#index as JSON
  Parameters: {"details_tab"=>"deployments", "_"=>"1351509869553", "deployments_preset_filter"=>"other_than_stopped"}
  User Load (0.4ms)  SELECT "users".* FROM "users" WHERE "users"."id" = 1 LIMIT 1
  PermissionSession Load (0.3ms)  SELECT "permission_sessions".* FROM "permission_sessions" WHERE "permission_sessions"."id" = 22 LIMIT 1
  CACHE (0.0ms)  SELECT "permission_sessions".* FROM "permission_sessions" WHERE "permission_sessions"."id" = 22 LIMIT 1
  BasePermissionObject Load (0.3ms)  SELECT "base_permission_objects".* FROM "base_permission_objects" WHERE "base_permission_objects"."name" = 'general_permission_scope' LIMIT 1
  SQL (1.4ms)  SELECT COUNT(DISTINCT "derived_permissions"."id") FROM "derived_permissions" LEFT OUTER JOIN "roles" ON "roles"."id" = "derived_permissions"."role_id" LEFT OUTER JOIN "entities" ON "entities"."id" = "derived_permissions"."entity_id" LEFT OUTER JOIN "session_entities" ON "session_entities"."entity_id" = "entities"."id" LEFT OUTER JOIN "privileges" ON "privileges"."role_id" = "roles"."id" WHERE ("derived_permissions".permission_object_id = 1 AND "derived_permissions".permission_object_type = 'BasePermissionObject') AND (session_entities.user_id=1 and
 session_entities.permission_session_id=22 and
 privileges.target_type='Deployment' and
 privileges.action='create')
  CACHE (0.0ms)  SELECT "base_permission_objects".* FROM "base_permission_objects" WHERE "base_permission_objects"."name" = 'general_permission_scope' LIMIT 1
  SQL (1.2ms)  SELECT COUNT(DISTINCT "derived_permissions"."id") FROM "derived_permissions" LEFT OUTER JOIN "roles" ON "roles"."id" = "derived_permissions"."role_id" LEFT OUTER JOIN "entities" ON "entities"."id" = "derived_permissions"."entity_id" LEFT OUTER JOIN "session_entities" ON "session_entities"."entity_id" = "entities"."id" LEFT OUTER JOIN "privileges" ON "privileges"."role_id" = "roles"."id" WHERE ("derived_permissions".permission_object_id = 1 AND "derived_permissions".permission_object_type = 'BasePermissionObject') AND (session_entities.user_id=1 and
 session_entities.permission_session_id=22 and
 privileges.target_type='Deployment' and
 privileges.action='view')
  Deployment Load (0.3ms)  SELECT "deployments".* FROM "deployments" WHERE "deployments"."deleted_at" IS NULL AND (deployments.state != 'stopped') ORDER BY "deployments".name asc
  User Load (0.2ms)  SELECT "users".* FROM "users" WHERE ("users"."id" = 1)
  SQL (0.3ms)  SELECT COUNT(*) FROM "instances" WHERE "instances"."deleted_at" IS NULL AND "instances"."state" IN ('create_failed', 'error', 'vanished') AND ("instances".owner_id = 1)
  Quota Load (0.2ms)  SELECT "quotas".* FROM "quotas" WHERE "quotas"."id" = 4 LIMIT 1
  SQL (0.3ms)  SELECT COUNT(*) FROM "events" WHERE "events"."deleted_at" IS NULL AND ("events".source_id = 1 AND "events".source_type = 'Deployment')
  Event Load (0.3ms)  SELECT "events".* FROM "events" WHERE "events"."deleted_at" IS NULL AND "events"."status_code" = 'first_running' AND ("events".source_id = 1 AND "events".source_type = 'Deployment') ORDER BY events.id DESC LIMIT 1
  SQL (0.2ms)  SELECT COUNT(*) FROM "instances" WHERE "instances"."deleted_at" IS NULL AND "instances"."state" IN ('running', 'shutting_down') AND ("instances".deployment_id = 1)
  SQL (0.2ms)  SELECT COUNT(*) FROM "instances" WHERE "instances"."deleted_at" IS NULL AND ("instances".deployment_id = 1)
  CACHE (0.0ms)  SELECT COUNT(*) FROM "instances" WHERE "instances"."deleted_at" IS NULL AND ("instances".deployment_id = 1)
  SQL (0.2ms)  SELECT COUNT(*) FROM "instances" WHERE "instances"."deleted_at" IS NULL AND "instances"."state" IN ('create_failed', 'error', 'vanished') AND ("instances".deployment_id = 1)
  Instance Load (0.7ms)  SELECT "instances".* FROM "instances" INNER JOIN "provider_accounts" ON "provider_accounts"."id" = "instances"."provider_account_id" INNER JOIN "providers" ON "providers"."id" = "provider_accounts"."provider_id" WHERE "instances"."deleted_at" IS NULL AND ("instances".deployment_id = 1) LIMIT 1
  ProviderAccount Load (0.2ms)  SELECT "provider_accounts".* FROM "provider_accounts" WHERE "provider_accounts"."id" = 1 LIMIT 1
  Provider Load (0.2ms)  SELECT "providers".* FROM "providers" WHERE "providers"."id" = 3 LIMIT 1
  CACHE (0.0ms)  SELECT "instances".* FROM "instances" INNER JOIN "provider_accounts" ON "provider_accounts"."id" = "instances"."provider_account_id" INNER JOIN "providers" ON "providers"."id" = "provider_accounts"."provider_id" WHERE "instances"."deleted_at" IS NULL AND ("instances".deployment_id = 1) LIMIT 1
  CACHE (0.0ms)  SELECT "provider_accounts".* FROM "provider_accounts" WHERE "provider_accounts"."id" = 1 LIMIT 1
  CACHE (0.0ms)  SELECT "providers".* FROM "providers" WHERE "providers"."id" = 3 LIMIT 1
  CACHE (0.0ms)  SELECT "instances".* FROM "instances" INNER JOIN "provider_accounts" ON "provider_accounts"."id" = "instances"."provider_account_id" INNER JOIN "providers" ON "providers"."id" = "provider_accounts"."provider_id" WHERE "instances"."deleted_at" IS NULL AND ("instances".deployment_id = 1) LIMIT 1
  CACHE (0.0ms)  SELECT "provider_accounts".* FROM "provider_accounts" WHERE "provider_accounts"."id" = 1 LIMIT 1
  CACHE (0.0ms)  SELECT "providers".* FROM "providers" WHERE "providers"."id" = 3 LIMIT 1
  CACHE (0.0ms)  SELECT "instances".* FROM "instances" INNER JOIN "provider_accounts" ON "provider_accounts"."id" = "instances"."provider_account_id" INNER JOIN "providers" ON "providers"."id" = "provider_accounts"."provider_id" WHERE "instances"."deleted_at" IS NULL AND ("instances".deployment_id = 1) LIMIT 1
  CACHE (0.0ms)  SELECT "provider_accounts".* FROM "provider_accounts" WHERE "provider_accounts"."id" = 1 LIMIT 1
  CACHE (0.0ms)  SELECT "providers".* FROM "providers" WHERE "providers"."id" = 3 LIMIT 1
  ProviderType Load (0.3ms)  SELECT "provider_types".* FROM "provider_types" WHERE "provider_types"."id" = 1 LIMIT 1
  Pool Load (0.2ms)  SELECT "pools".* FROM "pools" WHERE "pools"."id" = 1 LIMIT 1
  CACHE (0.0ms)  SELECT "base_permission_objects".* FROM "base_permission_objects" WHERE "base_permission_objects"."name" = 'general_permission_scope' LIMIT 1
  CACHE (0.0ms)  SELECT COUNT(DISTINCT "derived_permissions"."id") FROM "derived_permissions" LEFT OUTER JOIN "roles" ON "roles"."id" = "derived_permissions"."role_id" LEFT OUTER JOIN "entities" ON "entities"."id" = "derived_permissions"."entity_id" LEFT OUTER JOIN "session_entities" ON "session_entities"."entity_id" = "entities"."id" LEFT OUTER JOIN "privileges" ON "privileges"."role_id" = "roles"."id" WHERE ("derived_permissions".permission_object_id = 1 AND "derived_permissions".permission_object_type = 'BasePermissionObject') AND (session_entities.user_id=1 and
 session_entities.permission_session_id=22 and
 privileges.target_type='Deployment' and
 privileges.action='create')
  SQL (0.2ms)  SELECT COUNT(*) FROM "pools"
  Pool Load (0.1ms)  SELECT "pools".* FROM "pools"
  SQL (0.3ms)  SELECT COUNT(*) FROM "instances" WHERE "instances"."deleted_at" IS NULL AND "instances"."state" IN ('new', 'pending', 'running', 'shutting_down') AND ("instances".pool_id = 1)
  SQL (0.2ms)  SELECT COUNT(*) FROM "deployments" WHERE "deployments"."deleted_at" IS NULL AND ("deployments".owner_id = 1)
  SQL (0.2ms)  SELECT COUNT(*) FROM "instances" WHERE "instances"."deleted_at" IS NULL AND ("instances".owner_id = 1)
  SQL (0.2ms)  SELECT COUNT(*) FROM "instances" WHERE "instances"."deleted_at" IS NULL AND "instances"."state" IN ('new', 'pending') AND ("instances".owner_id = 1)
  CACHE (0.0ms)  SELECT COUNT(*) FROM "instances" WHERE "instances"."deleted_at" IS NULL AND "instances"."state" IN ('create_failed', 'error', 'vanished') AND ("instances".owner_id = 1)
Completed 200 OK in 85ms (Views: 2.8ms | ActiveRecord: 14.7ms)
^C
Comment 1 Rehana 2012-10-29 07:25:28 EDT
Created attachment 634970 [details]
stopped
Comment 2 Rehana 2012-10-29 07:26:22 EDT
Created attachment 634971 [details]
running(after auto refresh)
Comment 4 Imre Farkas 2012-11-21 05:03:45 EST
*** Bug 869282 has been marked as a duplicate of this bug. ***
Comment 6 Mike McCune 2016-03-28 18:42:18 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions

Note You need to log in before you can comment on or make changes to this bug.